Проблеми с upgrade към php 5.4

Вчера ъпгрейднах към php 5.4, но чак днес ми се наложи да тествам нещо и ооо изненада suhosin apc и xdebug не работят.

Решение:

всички файлове от директория

/usr/lib/php5/20090626

не ни трябват, трябва да ги имаме в

/usr/lib/php5/20100525

съответни всички линкнати библиотеки трябва да ползват новата папка.

Задавайте пълен път, например

zend_extension=/usr/lib/php5/20100525/xdebug.so

extension=/usr/lib/php5/20100525/apc.so

suhosin не ползвам и го изключих, apc & xdebug работят като пушка 🙂

This entry was posted in php, Xdebug. Bookmark the permalink.

Leave a Reply

Your email address will not be published. Required fields are marked *